#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QObject>
#include <QtOpenGL>
#include <QOpenGLWidget>
#include <QOpenGLFunctions_3_3_Core>
#include <QOpenGLShaderProgram>

class MainWidget : public QOpenGLWidget, public QOpenGLFunctions_3_3_Core
{
    Q_OBJECT
public:
    MainWidget();

    QSize minimumSizeHint() const;
    QSize sizeHint() const;

protected:
        void initializeGL();
        void paintGL();
        void resizeGL(int width, int height);

private:
        QOpenGLShaderProgram* animationShader;
        QMatrix4x4 m_projection;
        QMatrix4x4 m_view;

        GLuint vertexbuffer;

        QOpenGLShaderProgram* initShader(QString fragSource, QString vertSource);
};

#endif // MAINWIDGET_H
